#include <stdio.h>
#include <string.h>
#include "agi-namelookup.h"


/*
*	Text to binary conversion program for namelookup.agi
*
*	Author: R.J. van der Putten, Leiden, Holland, 
*	rob at sput dot nl.
* 
*	This program is free software; you can redistribute it and/or modify
*	it under the terms of the GNU General Public License version 3 as
*	published by the Free Software Foundation.
* 
*	This program is distributed in the hope that it will be useful,
*	but WITHOUT ANY WARRANTY; without even the implied warranty of
*	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*	GNU General Public License for more details.
*/

/*
*	Disable these warnings
*/
#pragma GCC diagnostic ignored "-Wpragmas"
#pragma GCC diagnostic ignored "-Wstringop-truncation"


int main(void)
{
	char line[4096], name[ANL_NAME_SIZ];
	int i;

	i = 0;
	memset(line, 0, 4096);
	memset(name, 0, ANL_NAME_SIZ);

	while (fgets(line, 4096, stdin)) {
		memset(name, 0, ANL_NAME_SIZ);
		i = 0;
		while (i < ANL_NAME_SIZ) {
			if (line[i] < ' ' && line[i] > -1) {
				line[i] = 0;
				break;
			}
			i++;
		}
		strncpy(name, line, ANL_NAME_MAX);
		fwrite(name, 1, ANL_NAME_SIZ, stdout);
	}

	return(0);
}

