#!/bin/bash

# Set locale for sort order
export LC_ALL=C.UTF-8

if [ ! -f areas.tsv ]
then
	echo "areas.tsv not found"
	exit 1
fi

sort -o areas.tsv areas.tsv
if [ -f areas.db ]
then
	mv areas.db areas.db.bak
fi
cat areas.tsv | aginum2db -l > areas.db

